import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/options \
--header 'Authorization: Bearer <token>'{
"capabilities": {
"supports_autopilot": true,
"supports_autoscaling": true,
"supports_ha_control_plane": true,
"supports_maintenance_window": true,
"supports_pool_autohealing": true,
"supports_pool_autohealing_update": true,
"supports_pool_public_ip": true,
"supports_pool_public_ip_update": true,
"supports_pool_root_volume": true,
"supports_pool_root_volume_update": true,
"supports_pool_security_group_update": true,
"supports_pool_security_groups": true,
"supports_pool_upgrade_policy": true,
"supports_pool_upgrade_policy_update": true,
"supports_pool_zone_update": true,
"supports_pool_zones": true,
"supports_private_endpoint": true,
"supports_spot": true,
"supports_stop_start": true,
"supports_retention_policy": true
},
"cluster_plans": [
"<string>"
],
"incomplete": true,
"incomplete_regions": [
"<string>"
],
"locations": [
{
"name": "<string>",
"slug": "<string>",
"provider_reference": "<string>",
"region": "<string>",
"display_name": "<string>",
"country": "<string>",
"position": 123,
"customer_visible": true
}
],
"pricing_unavailable": true,
"private_networks": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>"
}
],
"root_volume_types": [
"<string>"
],
"security_groups": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>",
"zone": "<string>"
}
],
"sizes": [
{
"category": "<string>",
"disk_gb": 123,
"gpu_count": 123,
"gpu_model": "<string>",
"is_gpu": true,
"label": "<string>",
"memory_gb": 123,
"price_monthly": 123,
"region": "<string>",
"slug": "<string>",
"vcpus": 123
}
],
"version_options": [
{
"available_cnis": [
"<string>"
],
"is_default": true,
"version": "<string>",
"supported_until": "<string>"
}
],
"versions": [
"<string>"
],
"zones": [
{
"region": "<string>",
"slug": "<string>"
}
],
"dev_cluster": {
"is_available": true,
"all_zones": true,
"zones": [
"<string>"
],
"minimum_memory_mebibytes": 123,
"ipv4_price_monthly": 123,
"production_warning": "<string>"
},
"cluster_plan_options": [
{
"name": "<string>",
"max_nodes": 123
}
],
"control_plane_fee_monthly": 123,
"control_planes": [
{
"control_plane": "<string>",
"replicas": 123,
"high_availability": true,
"fee_monthly": 123,
"is_default": true,
"production_recommended": true,
"description": "<string>"
}
],
"control_plane_fee_ha_monthly": 123,
"control_plane_fee_by_plan_monthly": {},
"storage_price_monthly_per_gb": {}
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}List options using the cluster's stored provider context
Bearer PAT authentication; RBAC permission clusters.read. For Kapsule, provider_cluster_id is the opaque region-qualified regions/{region}/clusters/{id} reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.
import requests
url = "https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/managed/{provider}/{cluster_id}/options \
--header 'Authorization: Bearer <token>'{
"capabilities": {
"supports_autopilot": true,
"supports_autoscaling": true,
"supports_ha_control_plane": true,
"supports_maintenance_window": true,
"supports_pool_autohealing": true,
"supports_pool_autohealing_update": true,
"supports_pool_public_ip": true,
"supports_pool_public_ip_update": true,
"supports_pool_root_volume": true,
"supports_pool_root_volume_update": true,
"supports_pool_security_group_update": true,
"supports_pool_security_groups": true,
"supports_pool_upgrade_policy": true,
"supports_pool_upgrade_policy_update": true,
"supports_pool_zone_update": true,
"supports_pool_zones": true,
"supports_private_endpoint": true,
"supports_spot": true,
"supports_stop_start": true,
"supports_retention_policy": true
},
"cluster_plans": [
"<string>"
],
"incomplete": true,
"incomplete_regions": [
"<string>"
],
"locations": [
{
"name": "<string>",
"slug": "<string>",
"provider_reference": "<string>",
"region": "<string>",
"display_name": "<string>",
"country": "<string>",
"position": 123,
"customer_visible": true
}
],
"pricing_unavailable": true,
"private_networks": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>"
}
],
"root_volume_types": [
"<string>"
],
"security_groups": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>",
"zone": "<string>"
}
],
"sizes": [
{
"category": "<string>",
"disk_gb": 123,
"gpu_count": 123,
"gpu_model": "<string>",
"is_gpu": true,
"label": "<string>",
"memory_gb": 123,
"price_monthly": 123,
"region": "<string>",
"slug": "<string>",
"vcpus": 123
}
],
"version_options": [
{
"available_cnis": [
"<string>"
],
"is_default": true,
"version": "<string>",
"supported_until": "<string>"
}
],
"versions": [
"<string>"
],
"zones": [
{
"region": "<string>",
"slug": "<string>"
}
],
"dev_cluster": {
"is_available": true,
"all_zones": true,
"zones": [
"<string>"
],
"minimum_memory_mebibytes": 123,
"ipv4_price_monthly": 123,
"production_warning": "<string>"
},
"cluster_plan_options": [
{
"name": "<string>",
"max_nodes": 123
}
],
"control_plane_fee_monthly": 123,
"control_planes": [
{
"control_plane": "<string>",
"replicas": 123,
"high_availability": true,
"fee_monthly": 123,
"is_default": true,
"production_recommended": true,
"description": "<string>"
}
],
"control_plane_fee_ha_monthly": 123,
"control_plane_fee_by_plan_monthly": {},
"storage_price_monthly_per_gb": {}
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Path Parameters
doks, uks, gke, ovh_mks, aks, eks, kapsule, ankracloud_k8s "kapsule"
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Where the provider offers single-server dev clusters (Ankra Cloud only; absent for every other provider). A dev cluster has no control-plane fee.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The control-plane tiers a create can name, cheapest first (Ankra Cloud only; absent where the provider sells one control plane). control_plane_fee_monthly stays the default tier's fee.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes